Bug 8909 - ld can't open crt1.o
ld can't open crt1.o
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: ld.so (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-01-26 16:52 EST by Jason A. Whittle
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 22:28:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jason A. Whittle 2000-01-26 16:52:43 EST
I'm trying to compile this file:
____________________________________________
int main(int argc, char **argv) {
	(void) argc;
	(void) argv;

	puts("Hello, world!");
	return 0;
}
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

using this command:
____________________________________________
gcc -g -D_GNU_SOURCE hello.c -o hello
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

returns this:
____________________________________________
/usr/bin/ld: cannot open crt1.o: No such file of directory
collect2: ld returned 1 exit status
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

I'm using binutils-2.9.1.0.23-6 on rh6.1, and this package verifies without
issue. /usr/bin/ld --version:
____________________________________________
GNU ld 2.9.1
Copyright 1997 Free Software Foundation, Inc.
This program is free software; you may redistribute it under the terms of
the GNU General Public License.  This program has absolutely no warranty.
  Supported emulations:
   elf_i386
   i386linux
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Can someone tell me what I'm doing wrong?
Comment 1 Jason A. Whittle 2000-01-27 13:26:59 EST
The only file named crt1.o I could find on my system was
/usr/i386-glibc20-linux/lib and this directory wasn't included in
/etc/ld.so.conf, so I added it, then ran ldconfig. As you've probably already
guessed, this broke everything on my system. So, I'm back where I started. Is
there supposed to be anything in ld.so.conf besides /usr/X11R6/lib and
/usr/i486-linux-libc5/lib? This is the configuration that was given to me by a
clean install of RH6.1.
Comment 2 Bill Nottingham 2000-01-27 18:30:59 EST
Do you have the glibc-devel package installed?
Comment 3 Cristian Gafton 2000-02-04 22:28:59 EST
glibc-devel needs to be installed on the system
Comment 4 Jason A. Whittle 2000-02-06 20:26:59 EST
Boy, do I feel foolish. Forgot that one when I made a clean install to fix
another bug. Thanks, and sorry for wasting your time.

Note You need to log in before you can comment on or make changes to this bug.